## net.sf.saxon.charcode
Class EucKRCharacterSet

    java.lang.Object
      net.sf.saxon.charcode.EucKRCharacterSet

All Implemented Interfaces:
  CharacterSet, PluggableCharacterSet

    public class EucKRCharacterSet

extends java.lang.Object
implements PluggableCharacterSet

Field Summary
`static long[]` `flags`

Constructor Summary
`EucKRCharacterSet()`

Method Summary
`java.lang.String` `getEncodingName()` Determine the name of the Java character set encoding to be used
`static EucKRCharacterSet` `getInstance()`
`boolean` `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    public static long[] flags

Constructor Detail

### EucKRCharacterSet

    public EucKRCharacterSet()

Method Detail

### getInstance

    public static EucKRCharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final java.lang.String getEncodingName()

  Description copied from interface: `PluggableCharacterSet`
  Determine the name of the Java character set encoding to be used

  Specified by:
    `getEncodingName` in interface `PluggableCharacterSet`

Copyright (c) Saxonica Limited. All rights reserved.